EDIT - task #8957

Rename "unexpected error" to "unhandled error"
04/17/2020 11:07 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: blocker

Description

Associated revisions

Revision 7b67db23 - 04/17/2020 11:48 AM - Andreas Miiller

fix #8957 Replace "This is an unexpected error" by "An error occurred"

Revision 1d255789 - 04/17/2020 12:06 PM - Andreas Miiller
fix #8957 Replace "Unexpected error" by "Error" in title

History

#1 - 04/17/2020 11:08 AM - Andreas Mdiller

WGB:
sUnexpected Error* und , This is an unexpected Error” entbehrt nicht einer gewissen Komik, ich nehme an, die ist nicht beabsichtigt. Es impliziert,
dass es auch erwartete Fehler gibt — besser ,Error” und , This is an error*

AM:

Es ist wirklich gewollt so, wenn auch das Label vielleicht noch optimiert werden kann.

Wir unterscheiden, Fehler, die abgefangen und behandelt werden und unerwartete/-behandelte Fehler. Letztere sind die ,unexpected errors*.
Behandelte Fehler treten z.B. auf, wenn ich versuche einen bereits existierenden Nutzernamen erneut einzugeben. Dann erscheint ein Dialog, dass
das nicht moglich ist. Die Fehlermeldung, die vom Server zurlickkommt, wird somit abgefangen und in eine Fehlermeldung mit Erklarung Ubersetzt. In
der Regel wird dann auch kein Stacktrace ausgegeben, da die Situation klar ist. Unerwartete/-behandelte Fehler sind vorher an dieser Stelle nicht
bekannt und in der Regel wirklich unerwartet. Daher wird auch immer der Stacktrace ausgegeben, damit wir Entwickler wissen, wo das genau
passiert ist und was passiert ist. Sobald wir einen solchen Fehler kennen und auch ausreichend verstanden haben, versuchen wir ihn genauer zu
beschreiben und zu behandeln.

Wie ware es wenn wir das in ,Unhandled Error“ umbenennen?

#2 - 04/17/2020 11:35 AM - Andreas Miiller

WGB:

ja, von mir aus — aber eigentlich sind das Aussagen, die nicht das USER interface sondern das developer interface betreffen. Das ist ja eigentlich ein
fortlaufender Kritikpunkt meinerseits, dass das nicht immer sauber genug getrennt wird. Wenn die anderen bekannten ,handled errors” abgefangen
werden, dann wird das ja dem User erklart — das ,unhandled” versteht der User nicht. Sachen, die nicht funktionieren oder nicht versténdlich sind,
sollten dem User nicht prasentiert werden.

AM:

also du meinst ,unbehandelter Fehler ist den Usern nicht verstandlich? Gut, dann kdnnen wir da auch drauf verzichten und nur ,Fehler” sagen. Ich
héatte gedacht, dass ,unbehandelt” doch tendenziell verstandlich ist, auch weil z.B. Microsoft solche Begriffe auch in Interfacen benutzt.

OK, dann wirden wir das unbehandelt/unerwartet ganz weg lassen, auch wenn ich nicht 100%ig gliicklich damit bin, da bereits jetzt die User den
Unterschied zwischen einem behandelten (,erwarteten”) Fehler und einem unbehandelten 6fters mal nicht verstehen und uns auch Meldungen zu
behandelten Fehlern geben, die im besten Fall selbsterklarend sein sollten. Da finde ich das Kriterium ,unbehandelt“ immer schicken, bei den
anderen eher driber nachdenken, ob man selber was machen kann, manchmal ganz hilfreich. Vielleicht ist es aber auch ausreichend das am
Vorhandensein eines Stackiraces festzumachen, auch wenn nicht immer ganz scharf unterscheidbar.

#3 - 04/17/2020 11:48 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|7b67db23d063fe89224e44874055487cdaff85b7.

#4 - 04/17/2020 11:49 AM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/7b67db23d063fe89224e44874055487cdaff85b7

- Assignee changed from Andreas Mtiller to Katja Luther

- Severity changed from normal to blocker
| replaced now "This is an unexpected error" by "An error occurred". Please review.

#5 - 04/21/2020 10:16 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

this seems to be correct.
